dmatusz3

Administratorzy
  • Zawartość

    2518
  • Rejestracja

  • Ostatnia wizyta

  • Wygrane w rankingu

    109

Ostatnia wygrana dmatusz3 w Rankingu w dniu 15 Grudzień

dmatusz3 posiadał najczęściej polubioną zawartość!

9 obserwujących

O dmatusz3

  • Tytuł
    Administrator

Profile Information

  • Gender
    Not Telling

Ostatnie wizyty

1382 wyświetleń profilu
  1. ZWCAD 2018 SP1 - edytor bloków

    Na chwilę obecną nie znaleźliśmy przełącznika dla tej funkcji. Zarówno w programie, profilu, rejestrach, ani plikach tłumaczenia (chociaż w tłumaczonym tekście są zdania wskazujące na taką możliwość). Wysłaliśmy również zapytanie do ZWSOFT. Teraz oprócz aliasu może Pan również użyć przypisania polecenie refedit do klawisza np. F2. Można to zrobić za pomocą polecenia cui Teraz wciśnięcie F2 powoduje wywołanie funkcji.
  2. Szablony i skrypty startowe

    Nazbierało się trochę lispów, postanowiłem zebrać je w jednym pliku (można go oczywiście dopasować do swoich potrzeb). Oto jego zawartość: zmiana koloru tła: polecenia: białe, czarne, szare, przełączenie widoczności polilinii podczas edycji: polecenie zz, obrót UCS o wskazany kąt bez zmiany jego początku: polecenie ucsz, dodawanie i usuwanie wierzchołków polilinii: polcenie apv, rmv, odtworzenie obwiedni kreskowania: polecenie ook (na filmie poniżej) Skrypt do pobrania skrypt-startowy.lsp
  3. Tłumaczenie poprawione. Zamykam temat.
  4. Polecenie offset(odsun) w 3D [rozwiązany]

    Zgłosiliśmy, w 2018 sp1 funkcja działa już zgodnie z oczekiwaniami.
  5. A oto przyczyna tego dlaczego tak wypisuje
  6. O świetne narzędzie w PI. Tylko jak rozumiem problem pojawia się na łukach. W Classicu za pomocą polecenia area można było zmienić długość łuków. W ZWCAD+ oraz 2017 i 2018 można zmierzyć długość poleceniem area tylko dla splajnów i polilinii, natomiast łuków już nie.
  7. ZWCAD 2018 SP1 - edytor bloków

    Poszukamy za chwilę czy jest możliwość zmiany definicji dwukilku na bloku. Natomiast widzę, że zmienił Pan tło w edytorze bloków na czarny. Proszę sprawdzić, czy kolor kursora również nie jest ustawiony na czarny,
  8. Edycja w polach właściwości wymiaru

    Posty, które nie dotyczą tematu zostały przeniesione tutaj
  9. Edycja polilinii (podwójne kliknięcie) [rozwiązany]

    Funkcjonalność została wprowadzona w 2018 SP1.
  10. W 2018 SP1 problem został rozwiązany.
  11. Zamknięcie programu po edycji wymiaru [rozwiązany]

    Problem został rozwiązany w ZWCAD 2018 SP1.
  12. Brak przezroczystości polilinii

    Opracowaliśmy LISPa, który w pewnym stopniu ułatwi przesuwanie wierzchołków polilinii, do czasu globalnego rozwiązania problemu. Po jego załadowaniu będzie dostępne polecenie zz. Jego uruchomienie włącza inny tryb wyświetlania edytowanej polilinii. Aby powrócić do normalnego trybu wystarczy ponownie wpisać zz Skrypt do pobrania zz.lsp Kod źródłowy ;;; ;;;www.zwcad.pl | Skrypt przełączający widoczność polilinii o zadanej globalnej grubości. ;;; (defun C:ZZ ( / *error* ) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nC:ZZ:*error*: " ) (princ msg ) (princ "\n") ) ) ) ( if ( = (getvar "FILLMODE" ) 0 ) (progn ( setvar "FILLMODE" 1 )(command "_REGEN") ) (progn ( setvar "FILLMODE" 0 ) ) ) (princ "" ) )
  13. UCS (LUW) obrót układu

    Stworzyliśmy małego LISPa, który może nieco ułatwi obrót UCS. Po jego załadowaniu będzie dostępne polecenie ucsz (niemniej można go sobie zmienić wedle uznania). Skrypt LISP do pobrania UCS_Rotate.lsp i kod źródłowy. ;;; ;;;www.zwcad.pl | Skrypt do obrotu układu UCS o wskazany kąt. ;;; (defun ZWCAD:Getpoint (tresc P0 domyslny / SelPt Wynik ) ;(ZWCAD:Getpoint tresc P0 domyslny ) (setq tresc (strcat "\n" tresc ": ")) (if (not(null P0)) (setq SelPt(vl-catch-all-apply 'getpoint (list P0 tresc ))) (setq SelPt(vl-catch-all-apply 'getpoint (list tresc ))) ) (if (vl-catch-all-error-p SelPt) (progn (prompt (vl-catch-all-error-message SelPt)) (setq Wynik nil ) ) (progn (if (null SelPt) (setq Wynik domyslny ) (setq Wynik SelPt) ) ) ) Wynik ) (defun r2d (rads / )(/(* 180 rads)pi)) (defun C:UCSZ ( / *error* p1 p2 ang) (defun *error* ( msg / ) (if (not (null msg ) ) (progn (princ "\nC:UCS_Rotate:*error*: " ) (princ msg ) (princ "\n") ) ) ) (setq p1 (ZWCAD:Getpoint "Wskaż pierwszy punkt odniesienia" nil nil ) ) ( if ( not (null p1 ) ) (progn (setq p2 (ZWCAD:Getpoint "Wskaż drugi punkt odniesienia" p1 nil ) ) ( if ( not (null p2 ) ) (progn (setq ang (angle p1 p2 ) ) (command "_UCS" "_Z" (rtos (r2d ang ) ) ) )) )) (princ "" ) )
  14. Wymiary w UCS innym niż globalny [rozwiązany]

    Problem został rozwiązany w ZWCAD 2018 SP1.
  15. Niewidoczne czcionki w Design Center [rozwiązany]

    Dzięki za info, zamykam.